
Function ChengeSignal : Boolean;
  Begin
  Asm
    mov @Result,0
    mov ax,11             {Ms}
    int 33h
    cmp cx,0
    jne @1
    cmp dx,0
    jne @1
    jmp @2
@1: mov @Result,1;
    jmp @OUT              {MsEnd}
@2: mov ah,01h            {Kb}
    int 16h
    jz  @OUT
    mov ah,00h
    int 16h
    mov @Result,1         {KbEnd}
@out:
  end;
  End;
